#!/usr/local/bin/ruby

require "AnimX"

FONTNAME1 = "-*-charter-black-i-*-*-20-*-*-*-*-*-*-*"
FONTNAME2 = "-*-new century schoolbook-bold-r-*-*-34-*-*-*-*-*-*-*"

def SCROLL(w, save, m)
  for t in 0..m
	w.DrawPPM(save, 0, t % 200)
	w.DrawPPM(save, 0, -200 + (t % 200))
	w.RedrawWindow
	AnimX.Flush
  end
end

x = []

w1 = AnimX::Win.new(0, 0, 200, 200); w1.SetWindowTitle("Scrolling Apple")
AnimX.SetDrawMode(AnimX::Delay)
# w1.LockCurrentSize

AnimX.SetPenWidth(3)
AnimX.SetColor(AnimX.GetColor("red"))
w1.DrawCirc(50, 2, 80, 23)
AnimX.SetColor(AnimX.GetColor("darkgreen"))
AnimX.SetFont(FONTNAME1); w1.DrawString(60, 20, "Slide!!")
apple = AnimX.LoadPPM("ppm/apple.ppm", 1)
for i in 0..19
  w1.DrawPPM(apple, rand(2**31) % 160, rand(2**31) % 130 + 25)
end
save1 = AnimX.MakeEmptyPPM(w1.h, w1.v)
w1.GetArea(save1, 0, 0, w1.h, w1.v)

AnimX.SetColor(AnimX.GetColor("white")); w1.FillRect(0, 0, 200, 200)
AnimX.SetColor(AnimX.GetColor("grey")); AnimX.SetFont(FONTNAME2)
w1.DrawString(10, 100, "Bye Bye,"); w1.DrawString(70, 140, "See ya!")
AnimX.SetColor(AnimX.GetColor("cornflower blue"))
w1.DrawString(5, 95, "Bye Bye,"); w1.DrawString(65, 135, "See ya!")
save2 = AnimX.MakeEmptyPPM(w1.h, w1.v)
w1.GetArea(save2, 0, 0, w1.h, w1.v)

for i in 1..10
  SCROLL(w1, save1, 400)
end
for i in 1..10
  SCROLL(w1, save2, 200)
end


gets
