#!/usr/local/bin/ruby

require "AnimX"

FONTNAME1 = "-*-helvetica-bold-r-normal-*-20-*-*-*-*-*-*-*"
FONTNAME2 = "-*-charter-black-i-*-*-20-*-*-*-*-*-*-*"
N = 30

vx = []; vy = []; x = []; y = []

for i in 0..N-1
  vx[i] = 0; vy[i] = 0; x[i] = 0; y[i] = 0
end

w1 = AnimX::Win.new(0, 0, 200, 200)
w1.SetWindowTitle("Bouncing Apple")
#w1.SetMaxSize(201, 201)

AnimX.SetPenWidth(4)
AnimX.SetColor(AnimX.GetColor("red")); w1.DrawLine(10, 20, 110, 20)
AnimX.SetColor(AnimX.GetColor("darkgreen"))
AnimX.SetFont(FONTNAME1); w1.DrawString(14, 18, "Apple!!")

apple = AnimX.LoadPPM("ppm/apple.ppm", 1)
proc1 = AnimX.LoadPPM("ppm/proc3.ppm", 0)
proc2 = AnimX.LoadPPM("ppm/proc2.ppm", 0)

for i in 0..19
  w1.DrawPPM(proc1, rand(2**32) % 160, rand(2**32) % 130 + 25)
  w1.DrawPPM(proc2, rand(2**32) % 160, rand(2**32) % 130 + 25)
end

AnimX.Flush
AnimX.SetDrawMode(AnimX::Delay)

w1.SaveWindow
for i in 0..2
  for j in 0..N-1
	x[j] = rand(2*31) % 160 + 10; vx[j] = rand(2*31) % 9 - 4
	vx[j] -= 1 if !vx[j]
	y[j] = rand(2**31) % 80; vy[j] = y[j] / 8
  end
  for t in 0..200-1
	w1.RestoreWindow
	if i != 0
	  for j in 0..(N * i / 2 - 1)
		w1.DrawPPM(apple, x[j], y[j])
	  end
	else
	  w1.DrawPPM(apple, x[0], y[0])
	end
	w1.RedrawWindow
	AnimX.Flush
	for j in 0..N-1
	  vy[j] += 1; y[j] += vy[j]
	  x[j] += vx[j]
	  vx[j] = -vx[j] if (0 > x[j] || x[j] > 170)
	  if y[j] >170 then
		y[j] = 170; vy[j] = -vy[j] + 1
	  end
	end
	sleep(0.007)
  end
end


AnimX.SetColor(AnimX.GetColor("blue"))
AnimX.SetDrawMode(AnimX::Direct)
AnimX.SetPenWidth(2)
for i in 2..10
  AnimX.Flush
  sleep(0.03)
  j = 0
  while j < 200-1
	w1.DrawLine(0, j, 200, j)
	j += i
  end
end

AnimX.SetColor(AnimX.GetColor("white"))
AnimX.SetFont(FONTNAME2)
w1.DrawString(160, 193, "fin.")
AnimX.Flush

gets
